# _Match
<span class="source-link">[[Source]](src/regex/match.md#L1)</span>
```pony
primitive val _Match
```

## Constructors

### create
<span class="source-link">[[Source]](src/regex/match.md#L1)</span>


```pony
new val create()
: _Match val^
```

#### Returns

* [_Match](regex-_Match) val^

---

## Public Functions

### eq
<span class="source-link">[[Source]](src/regex/match.md#L3)</span>


```pony
fun box eq(
  that: _Match val)
: Bool val
```
#### Parameters

*   that: [_Match](regex-_Match) val

#### Returns

* [Bool](builtin-Bool) val

---

### ne
<span class="source-link">[[Source]](src/regex/match.md#L3)</span>


```pony
fun box ne(
  that: _Match val)
: Bool val
```
#### Parameters

*   that: [_Match](regex-_Match) val

#### Returns

* [Bool](builtin-Bool) val

---

